Bug 196970 - mesa updates cause laptop to crash on resume
mesa updates cause laptop to crash on resume
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2006-06-27 17:20 EDT by David Baron
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-30 19:10:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Baron 2006-06-27 17:20:21 EDT
Description of problem:  Installing the mesa updates that were pushed to FC5
updates last night causes my laptop to hang on resume.  (I see a few of the
letters of "Linux" show up in yellow -- I think one fewer letter than usual --
and then nothing else happens.)

Version-Release number of selected component (if applicable):
Jun 26 16:26:15 Updated: mesa-libGL.i386 6.4.2-6.FC5.3
Jun 26 16:26:16 Updated: mesa-libGLU.i386 6.4.2-6.FC5.3
Jun 26 16:26:17 Updated: mesa-libGL-devel.i386 6.4.2-6.FC5.3
Jun 26 16:26:18 Updated: mesa-libGLw.i386 6.4.2-6.FC5.3
Jun 26 16:26:18 Updated: glx-utils.i386 6.4.2-6.FC5.3
Jun 26 16:26:19 Updated: mesa-libGLw-devel.i386 6.4.2-6.FC5.3
Jun 26 16:26:19 Updated: mesa-libGLU-devel.i386 6.4.2-6.FC5.3

How reproducible:  Three out of five suspends crashed on resume since installing
the update.  After reverting the update three suspends in a row resumed

Steps to Reproduce:
1. Fn-F4 to suspend (doesn't work when acpid was running when hald started;
presumably the other methods of suspending cause the equivalent problem, though)
2. Close laptop
3. Open laptop
Actual results: hang

Expected results: resume

Additional info:
This is on an IBM T42 laptop, using the proprietary ATI driver RPMs from the
livna RPMs (since FC5 regressed the ability of the official drivers to power the
docking station's DVI output).  I pass pci=noacpi acpi_sleep=s3_bios to the
kernel (via grub.conf).
Comment 1 David Baron 2006-06-30 19:10:04 EDT
Seems to have gone away with the latest round of xorg and ATI driver updates.

Note You need to log in before you can comment on or make changes to this bug.